- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::ViewPoint Struct Reference

Structure for holding a position & orientation pair. More...

`#include <OgreSceneManager.h>`

List of all members.

## Public Attributes
Vector3 | position
Quaternion | orientation

## Detailed Description

Structure for holding a position & orientation pair.

Definition at line 58 of file OgreSceneManager.h.

## Member Data Documentation

Vector3 Ogre::ViewPoint::position

Definition at line 60 of file OgreSceneManager.h.

Quaternion Ogre::ViewPoint::orientation

Definition at line 61 of file OgreSceneManager.h.

The documentation for this struct was generated from the following file:

- OgreSceneManager.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:52:48 2008